#if !defined(__PORTS_H)
#define	__PORTS_H

//definici de les funcions del mdul Ports

// ===============================================================
// Inicialitzaci dels ports
// (actualment, noms P2 i PT)
// ===============================================================
void IniPorts(void);

// ===============================================================
// Treure valor per P2 (Nomes els bits permesos)
// ===============================================================
void SetP2(BYTE);		//escriure al P2

// ===============================================================
// Llegeix P2 (nomes els bits permesos)
// ===============================================================
BYTE GetP2(void);		//llegir del P2

// ===============================================================
// Llegeix PT
// ===============================================================
BYTE GetPT(void);		//llegir del PT

// ===============================================================
// Inicialitza el port P0 com a escriptura
// ===============================================================
void SetP0Write();

// ===============================================================
// Inicialitza el port P0 com a lectura
// ===============================================================
void SetP0Read();

// ===============================================================
// Posa Data al P0
// ===============================================================
void SetP0(unsigned char Data);

// ===============================================================
// Llegeix el P0
// ===============================================================
unsigned char GetP0();

// ===============================================================
// Posa Data al P1
// ===============================================================
void SetP1(unsigned char Data);

#endif

